./devel/libdazzle, Companion library to GObject and Gtk+

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 3.34.1, Package name: libdazzle-3.34.1, Maintainer: pkgsrc-users

The libdazzle library is a companion library to GObject and Gtk+. It provides
various features that we wish were in the underlying library but cannot for
various reasons. In most cases, they are wildly out of scope for those
libraries. In other cases, our design isn't quite generic enough to work
for everyone.

The libdazzle project is heavily opinionated, and tends to gravitate towards
design that matches the GNOME 3 human interface guidelines.


Required to run:
[x11/gtk3]

Required to build:
[pkgtools/x11-links] [x11/xcb-proto] [x11/fixesproto4] [pkgtools/cwrappers] [x11/xorgproto] [devel/meson]

Master sites: (Expand)

SHA1: 9a91998e19b9337d44cbd4843b7112144b5ce22b
RMD160: 021b3442248eb79f5c14be26e88cde2525601294
Filesize: 430.172 KB

Version history: (Expand)


CVS history: (Expand)


   2020-01-22 10:44:41 by Nia Alarie | Files touched by this commit (3)
Log message:
libdazzle: Downgrade to release from stable branch.

Doesn't seem to cause any ABI breakage, epiphany still works and that's
the only thing using this.

Pointed out by wiz, downgrading ok'd by wiz
   2020-01-21 15:56:42 by Nia Alarie | Files touched by this commit (5) | Package updated
Log message:
devel: Add libdazzle.

Needed for epiphany update.

The libdazzle library is a companion library to GObject and Gtk+. It provides
various features that we wish were in the underlying library but cannot for
various reasons. In most cases, they are wildly out of scope for those
libraries. In other cases, our design isn't quite generic enough to work
for everyone.

The libdazzle project is heavily opinionated, and tends to gravitate towards
design that matches the GNOME 3 human interface guidelines.